=== debian/changelog ===
koules (1.4-20) unstable; urgency=low

  * Font data is unsigned (Closes: #688658).
  * Switch to my Debian address.
  * Use canonical VCS URIs.
  * Switch to debhelper compatibility level 9 and enable hardening.
  * Use dh_prep rather than "dh_clean -k".
  * Standards-Version 3.9.4, no change required.
  * koules only works with OSS audio, so recommend oss-compat.

 -- Stephen Kitt <skitt@debian.org>  Tue, 07 May 2013 08:12:49 +0200

koules (1.4-19) unstable; urgency=low
  
  [ Paul Wise ]
  * Drop dh_desktop.
  
  [ Sam Hocevar ]
  * Update email address.

  [ Stephen Kitt ]
  * Add myself to uploaders.
  * Remove tcl/tk recommends (Closes: #563267).
  * Switch to source format "3.0 (quilt)":
    - drop quilt build-dependency;
    - ship koules.png as a binary.
  * Add build-indep and build-arch targets.
  * Use dh_install and dh_link parameter files.
  * Fix a few spelling mistakes.
  * Correct minus signs in the manpage.
  * Standards-Version 3.9.2, no further change required.
  * Add patch descriptions.
  * Use GPL-2 link in debian/copyright.

 -- Stephen Kitt <steve@sk2.org>  Thu, 12 Jan 2012 00:05:22 +0100

koules (1.4-18) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Remove deprecated Encoding key from .desktop file
  * Build-depend on xutils-dev for xmkmf (Closes: #485207)

  [ Alexander Reichle-Schmehl ]
  * Adopt debian/control to my new name

  [ Barry deFreese ]
  * Update my e-mail address.
  * Fix some minor syntax issues in debian/copyright.
  * Remove deprecated xutils build dependency.
  * Remove deprecated FilePattern from .desktop file.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Tue, 17 Mar 2009 21:14:37 -0400

koules (1.4-17) unstable; urgency=low

  [ Cyril Brulebois ]
  * Added Vcs-Svn and Vcs-Browser fields in the control file.

  [ Gonéri Le Bouder ]
  * remove ./xkoules.man during the clean to be able to do two build in a row
    * (Closes: #424462)
  * remove the dh-make header in the debian/rules

  [ Barry deFreese ]
  * Add watch file
  * Change long description to not include short description.
  * Add homepage field in control
  * 107_fix_xsynchronize.diff (Closes: #412056)
    * Handle ARGB visuals properly
  * 108_use_right_visual.diff
    * Handle -y option
  * Thanks to Peter De Wachter for the patches
  * 109_fpe_fix.diff (Closes: #269840)
    * Fixes floating point exceptions
    * Thanks to Steffen Pingel for the patch
  * Add myself to uploaders

 -- Barry deFreese <bddebian@comcast.net>  Wed, 05 Dec 2007 13:16:56 -0500

koules (1.4-16) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * remove Applications from Categorie in the desktop file since it's not
    an official categorie
  * add patch by Auriel Jarno to fix the build on kFreeBSD (#413511)
  * .desktop: french translation

  [ Jon Dowland ]
  * update menu section to "Games/Action" for menu policy transition.
    Thanks Linas Žvirblis.

 -- Alexander Schmehl <tolimar@debian.org>  Sun, 29 Jul 2007 20:45:20 +0200

koules (1.4-15) unstable; urgency=high

  * Use quilt for patch management.

  * debian/control:
    + Uncapitalised short description and add the word "abstract" to it.
    + Slightly reworded long description.
    + Build-depend on quilt.
    + Added myself to the uploaders.

  * debian/patches/000_build_rules.diff:
    + New patch from old diff: add proper build rules.
  * debian/patches/050_defines.diff:
    + New patch from old diff: set compile-time paths and features.
  * debian/patches/100_spelling.diff:
    + New patch from old diff: spelling fixes.
  * debian/patches/101_buffer_overflow.diff:
    + New patch from old diff: fix a buffer overflow in commandline
      handling.
  * debian/patches/102_includes.diff:
    + New patch from old diff: add missing headers.
    + Add missing <string.h> to xlib/text.c.
  * debian/patches/103_asm.diff:
    + New patch from old diff: fix asm syntax.
  * debian/patches/104_types.diff:
    + New patch from old diff: fix types to avoid crashes on 64-bit arches
      and on powerpc.
  * debian/patches/105_save_file.diff:
    + New patch from old diff: do not exit if the save file was not found.
  * debian/patches/200_tcl.diff:
    + New patch from old diff: fix paths in the tcl script and add a
      wrapper to warn about the missing interpreter.

  * debian/patches/106_shm_check.diff:
    + Fix MIT-SHM detection code for remote displays (Closes: #392983).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  3 Nov 2006 11:25:44 +0100

koules (1.4-14) unstable; urgency=low

  * The "It's not a script!  It's a space station!" release
  * Move arch dependend sound server binary from /usr/share/games/koules to
    /usr/lib/... (Closes: #386311)
    - created some symlinks for the soundfiles

 -- Alexander Schmehl <tolimar@debian.org>  Wed,  6 Sep 2006 21:54:19 +0200

koules (1.4-13) unstable; urgency=low

  * Finnally applying patch from Guus Sliepen to fix segfaults on 64-bit archs
    (Closes: #331719, 379470)
    Many thanks!

 -- Alexander Schmehl <tolimar@debian.org>  Fri, 18 Aug 2006 17:12:21 +0200

koules (1.4-12) unstable; urgency=low

  * New Maintainer (Closes: #353391)
  * Accepting previous NMUs by Amaya (Many thanks!) (Closes: #331719, #346960)
  * fixing menu Icon (Closes: #36709)
    - Thanks to David Kimdon for the patch!
  * fixing typo in game messages (Closes: #224228)
    - Thanks to Jeff Breidenbach for reporting and submiting a patch!
  * adding hints to menu file (Closes: #311027)
  * using debhelper for the package
    - tweaking standars version to 3.7.2 while doing so ;)
    - main difference:  Stuff is installed to /usr/share/games/koules not
      /usr/lib
  * installing manpage and koules symlink to xkoules manpage (Closes: #195243)
  * installing desktop file and icon

 -- Alexander Schmehl <tolimar@debian.org>  Fri, 18 Aug 2006 12:48:08 +0200

koules (1.4-11.2) unstable; urgency=low

  * Non-maintainer upload.

