=== debian/control ===
Source: koules
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Alexander Reichle-Schmehl <tolimar@debian.org>, Sam Hocevar <sho@debian.org>, Barry deFreese <bdefreese@debian.org>, Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), xutils-dev, libx11-dev, libxext-dev, sharutils
Standards-Version: 3.9.4
Homepage: http://www.ucw.cz/~hubicka/koules/English/koules.html
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/koules/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/koules/

Package: koules
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: oss-compat
Description: abstract space action game
 Koules is a fast action arcade-style game. This version is compiled for X11.
 It has cool 256 color graphics, a multiplayer mode for up to 5 players, full
 sound and, of course, network support. Koules is an original idea. The first
 version of Koules was developed from scratch by Jan Hubicka in July 1995.
 .
 It supports multiplayer deathmatch and cooperative play.
