=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/buildflags.mk
export CDEBUGFLAGS = $(CFLAGS)
export LOCAL_LDFLAGS = $(LDFLAGS)
export EXTRA_DEFINES = $(CPPFLAGS)

configure: configure-stamp
configure-stamp:
	dh_testdir
	xmkmf
	make Makefile
	make Makefiles
	touch configure-stamp

build: build-indep build-arch
build-indep:
build-arch: build-arch-stamp

build-arch-stamp: configure-stamp 
	dh_testdir
	# new xmkmf stuff does strange things with the manpage
	# this is a workaround
	if [ ! -s xkoules.man ]; then ln -sf xkoules.6 xkoules.man; fi
	$(MAKE) KOULESDIR=/usr/games SOUNDDIR=/usr/lib/games/koules MANDIR=/usr/share/man/man6
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp configure-stamp xkoules.man
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install-indep:
install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install KOULESDIR=$(CURDIR)/debian/koules/usr/games SOUNDDIR=$(CURDIR)/debian/koules/usr/lib/games/koules MANDIR=$(CURDIR)/debian/koules/usr/share/man/man6
	dh_install
	mv debian/koules/usr/lib/games/koules/*.raw debian/koules/usr/share/games/koules/
	dh_link

# Build architecture-independent files here.
binary-indep: build-indep install-indep

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installmenu
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
