=== debian/watch ===
version=3

http://www.ucw.cz/~hubicka/koules/packages/koules([\d.]+)-src\.tar\.gz
